Package io.dapr.v1

# Enum Class DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency

java.lang.Object
java.lang.Enum<DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency>
io.dapr.v1.DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency>`, `Constable`

Enclosing class:
  DaprAppCallbackProtos.BindingEventResponse

public static enum DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency extends Enum<DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency> implements com.google.protobuf.ProtocolMessageEnum

     BindingEventConcurrency is the kind of concurrency

Protobuf enum `dapr.proto.runtime.v1.BindingEventResponse.BindingEventConcurrency`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PARALLEL`
  PARALLEL sends data to output bindings specified in "to" in parallel.
  `SEQUENTIAL`
  SEQUENTIAL sends data to output bindings specified in "to" sequentially.
  `UNRECOGNIZED`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `PARALLEL_VALUE`
  PARALLEL sends data to output bindings specified in "to" in parallel.
  `static final int`
  `SEQUENTIAL_VALUE`
  SEQUENTIAL sends data to output bindings specified in "to" sequentially.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency`
  `forNumber(int value)`
  `static final com.google.protobuf.Descriptors.EnumDescriptor`
  `getDescriptor()`
  `final com.google.protobuf.Descriptors.EnumDescriptor`
  `getDescriptorForType()`
  `final int`
  `getNumber()`
  `final com.google.protobuf.Descriptors.EnumValueDescriptor`
  `getValueDescriptor()`
  `static com.google.protobuf.Internal.EnumLiteMap<DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency>`
  `internalGetValueMap()`
  `static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency`
  `valueOf(int value)`
  Deprecated.
  `static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency`
  `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
  Returns the enum constant of this class with the specified name.
  `static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SEQUENTIAL

    public static final DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency SEQUENTIAL

         SEQUENTIAL sends data to output bindings specified in "to" sequentially.

    `SEQUENTIAL = 0;`

  - ### PARALLEL

    public static final DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency PARALLEL

         PARALLEL sends data to output bindings specified in "to" in parallel.

    `PARALLEL = 1;`

  - ### UNRECOGNIZED

    public static final DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency UNRECOGNIZED

- ## Field Details

  - ### SEQUENTIAL_VALUE

    public static final int SEQUENTIAL_VALUE

         SEQUENTIAL sends data to output bindings specified in "to" sequentially.

    `SEQUENTIAL = 0;`
    See Also:
      - Constant Field Values

  - ### PARALLEL_VALUE

    public static final int PARALLEL_VALUE

         PARALLEL sends data to output bindings specified in "to" in parallel.

    `PARALLEL = 1;`
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getNumber

    public final int getNumber()
    Specified by:
      `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
    Specified by:
      `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

  - ### valueOf

    @Deprecated public static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency valueOf(int value)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `value` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forNumber

    public static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency forNumber(int value)
    Parameters:
      `value` - The numeric wire value of the corresponding enum entry.
    Returns:
      The enum associated with the given numeric wire value.

  - ### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency> internalGetValueMap()

  - ### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()
    Specified by:
      `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

  - ### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

  - ### valueOf

    public static DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `desc` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null